picard.filter

## Class CountingMapQFilter

- java.lang.Object
- - picard.filter.CountingFilter
  - - picard.filter.CountingMapQFilter

- All Implemented Interfaces:
    htsjdk.samtools.filter.SamRecordFilter

      public class CountingMapQFilter
      extends CountingFilter

  Counting filter that discards reads below a configurable mapping quality threshold.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CountingMapQFilter(int minMapq)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `reallyFilterOut(htsjdk.samtools.SAMRecord record)` Return true if we are to filter this record out, false otherwise.

    - ### Methods inherited from class picard.filter.CountingFilter

      `filterOut, filterOut, getFilteredBases, getFilteredRecords`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CountingMapQFilter

          public CountingMapQFilter(int minMapq)

  - ### Method Detail

    - #### reallyFilterOut

          public boolean reallyFilterOut(htsjdk.samtools.SAMRecord record)

      Description copied from class: `CountingFilter`
      Return true if we are to filter this record out, false otherwise.
      Specified by:
        `reallyFilterOut` in class `CountingFilter`